{"docsConfig":{"theme":"aspen","$schema":"https://mintlify.com/docs.json","name":"Feather","description":"Feather is a voice AI calling platform that allows you to build voice AI agents that can make and receive calls, send and receive SMS, and more.","colors":{"primary":"#0447B3","dark":"#0447B3"},"logo":{"light":"https://mintcdn.com/feather/eW_zqxbAdoyk4s4G/logo/light.svg?fit=max\u0026auto=format\u0026n=eW_zqxbAdoyk4s4G\u0026q=85\u0026s=196f46b7229e7de0fdaa5c97aa035bdf","dark":"https://mintcdn.com/feather/eW_zqxbAdoyk4s4G/logo/dark.svg?fit=max\u0026auto=format\u0026n=eW_zqxbAdoyk4s4G\u0026q=85\u0026s=c51945b1590d18b317f8a545d22c336d"},"favicon":"https://mintcdn.com/feather/eW_zqxbAdoyk4s4G/logo/favicon.png?fit=max\u0026auto=format\u0026n=eW_zqxbAdoyk4s4G\u0026q=85\u0026s=672aefbdc786201268b1d5a7437896ca","appearance":{"default":"system"},"navbar":{"links":[{"icon":"browser","href":"https://featherhq.com","label":"Website"}],"primary":{"type":"button","label":"Dashboard","href":"https://dashboard.featherhq.com"}},"footer":{"socials":{"linkedin":"https://linkedin.com/company/featherhq","website":"https://featherhq.com"}},"styling":{"codeblocks":"system","latex":false},"navigation":{"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"feather","hasAudioNarration":false,"actualSubdomain":"feather","customDomains":["docs.featherhq.com"],"gitSource":{"type":"github","owner":"oneloop-hq","repo":"feather-docs","deployBranch":"main","contentDirectory":"","isPrivate":true,"mountPath":"","label":""},"chroma":{"liveDeploymentHistoryId":"6a6243ee63f85d7949ffe60f","collectionId":"c0408647-5f4c-46a0-9de7-95e9dd826fba","schemaVersion":"v3","latestBuiltDeploymentHistoryId":"6a6243ee63f85d7949ffe60f"},"entitlements":{},"buildId":"6a6243ee63f85d7949ffe60f:success","clientVersion":"0.0.3964","searchFilterCounts":[{"language":"default","tag":"API Reference","count":195},{"language":"default","tag":"Testing Lab","count":19},{"language":"default","tag":"Workflows","count":18},{"language":"default","tag":"Documentation","count":15},{"language":"default","tag":"Knowledge Base","count":14},{"language":"default","tag":"Agents","count":12},{"language":"default","tag":"Phone Numbers","count":11},{"language":"default","tag":"Core Concepts","count":11},{"language":"default","tag":"Squad","count":10},{"language":"default","tag":"Chat Threads","count":9}]},"assistantConfig":{},"hasChatPermissions":false,"hasWebMcpPermissions":false,"toggles":[],"isAtlas":false,"googleFontsInlined":false},"customCss":[],"page":{"pagePath":"api-reference/agents/clone-an-existing-agent","slug":"/api-reference/agents/clone-an-existing-agent","pageMetadata":{"openapi":"post /api/v1/agents/{id}/clone","title":"Clone an existing agent","description":"Clone an existing agent with either the latest or deployed version","href":"/api-reference/agents/clone-an-existing-agent"},"description":{"compiledSource":"\"use strict\";\nconst {jsx: _jsx} = arguments[0];\nconst {useMDXComponents: _provideComponents} = arguments[0];\nfunction _createMdxContent(props) {\n const _components = {\n p: \"p\",\n ..._provideComponents(),\n ...props.components\n };\n return _jsx(_components.p, {\n children: \"Clone an existing agent with either the latest or deployed version\"\n });\n}\nfunction MDXContent(props = {}) {\n const {wrapper: MDXLayout} = {\n ..._provideComponents(),\n ...props.components\n };\n return MDXLayout ? _jsx(MDXLayout, {\n ...props,\n children: _jsx(_createMdxContent, {\n ...props\n })\n }) : _createMdxContent(props);\n}\nreturn {\n default: MDXContent\n};\n","frontmatter":{},"scope":{}},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){return _jsx(_Fragment,{})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent}","frontmatter":{},"scope":{"codeStyling":"system","config":{},"pageMetadata":{"openapi":"post /api/v1/agents/{id}/clone","title":"Clone an existing agent","description":"Clone an existing agent with either the latest or deployed version","href":"/api-reference/agents/clone-an-existing-agent"}}},"mdxSourceWithNoJs":null},"mdxExtracts":{"tableOfContents":[],"codeExamples":{}},"jsLinks":[],"openApiReferenceData":{"operation":{"tags":["Agents"],"summary":"Clone an existing agent","description":"Clone an existing agent with either the latest or deployed version","security":["2a7b3224-676d-4543-8123-eff4bf642839"],"parameters":["fb970aa1-a380-4820-a0a6-f06d570daa46"],"requestBody":"a9185304-56e2-4978-a72a-5dc3ffe453cd","responses":{"201":"a4b9e9b6-17ac-4bc2-89da-9916b24f2c52","400":"694abc68-87a7-4c6e-b12b-a15c64955a69","404":"a1c4198f-c0b6-4883-bbb1-d21d8d12aef7","500":"bd2383d9-7e78-4bd2-8719-ae3dc6c564c5"},"method":"post","type":"path","servers":["0cb54ec8-735b-477a-bae7-195bc65bc395"],"path":"/api/v1/agents/{id}/clone","baseUrlOptions":["https://prod.featherhq.com"],"title":"Clone an existing agent","codeSamples":[],"requiredOnlyExamples":false,"requestExampleType":"generated","responseExampleType":"generated"},"dependencies":{"parameters":{"fb970aa1-a380-4820-a0a6-f06d570daa46":{"schema":{"type":"string","description":"The ID of the agent to clone","example":"123","isRequired":true,"uniqueKey":"","typeLabel":"string"},"required":true,"name":"id","in":"path"}},"requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"versionType":{"type":"string","enum":["latest","deployed"],"isRequired":true,"uniqueKey":"versionType","typeLabel":"enum\u003cstring>"},"name":{"type":"string","isRequired":true,"uniqueKey":"name","typeLabel":"string"},"description":{"oneOf":[{"type":"string","isRequired":true,"uniqueKey":"description.oneOf.0","typeLabel":"string"},{"type":"null","isRequired":true,"uniqueKey":"description.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"description","typeLabel":"string | null"}},"required":["versionType","name","description"],"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"name":"\u003cstring>","description":"\u003cstring>"}}},"exampleType":"generated"}},"exampleType":"generated"},"responses":{"a4b9e9b6-17ac-4bc2-89da-9916b24f2c52":{"description":"Agent cloned successfully","content":{"application/json":{"schema":{"type":"object","properties":{"agent":{"type":"object","properties":{"id":{"type":"string","isRequired":true,"uniqueKey":"agent.id","typeLabel":"string"},"name":{"type":"string","isRequired":true,"uniqueKey":"agent.name","typeLabel":"string"},"description":{"oneOf":[{"type":"string","isRequired":true,"uniqueKey":"agent.description.oneOf.0","typeLabel":"string"},{"type":"null","isRequired":true,"uniqueKey":"agent.description.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"agent.description","typeLabel":"string | null"},"agentType":{"type":"string","enum":["CALL","TEXT"],"isRequired":true,"uniqueKey":"agent.agentType","typeLabel":"enum\u003cstring>"},"createdAt":{"type":"string","format":"date-time","isRequired":true,"uniqueKey":"agent.createdAt","typeLabel":"string\u003cdate-time>"},"updatedAt":{"type":"string","format":"date-time","isRequired":true,"uniqueKey":"agent.updatedAt","typeLabel":"string\u003cdate-time>"},"smsPhoneNumbers":{"oneOf":[{"type":"array","items":{"type":"object","properties":{"id":{"type":"string","isRequired":true,"uniqueKey":"agent.smsPhoneNumbers.oneOf.0.items.[INDEX].id","typeLabel":"string"},"phoneNumber":{"type":"string","isRequired":true,"uniqueKey":"agent.smsPhoneNumbers.oneOf.0.items.[INDEX].phoneNumber","typeLabel":"string"},"ownership":{"oneOf":[{"type":"string","enum":["FEATHER","CLIENT"],"isRequired":true,"uniqueKey":"agent.smsPhoneNumbers.oneOf.0.items.[INDEX].ownership.oneOf.0","typeLabel":"enum\u003cstring>"},{"type":"null","enum":["FEATHER","CLIENT"],"isRequired":true,"uniqueKey":"agent.smsPhoneNumbers.oneOf.0.items.[INDEX].ownership.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"agent.smsPhoneNumbers.oneOf.0.items.[INDEX].ownership","typeLabel":"enum\u003cstring> | null"},"createdAt":{"type":"string","isRequired":true,"uniqueKey":"agent.smsPhoneNumbers.oneOf.0.items.[INDEX].createdAt","typeLabel":"string"},"updatedAt":{"type":"string","isRequired":true,"uniqueKey":"agent.smsPhoneNumbers.oneOf.0.items.[INDEX].updatedAt","typeLabel":"string"}},"required":["id","phoneNumber","ownership","createdAt","updatedAt"],"uniqueKey":"agent.smsPhoneNumbers.oneOf.0.items.[INDEX]","typeLabel":"object"},"isRequired":true,"uniqueKey":"agent.smsPhoneNumbers.oneOf.0","typeLabel":"object[]"},{"type":"null","items":{"type":"object","properties":{"id":{"type":"string"},"phoneNumber":{"type":"string"},"ownership":{"oneOf":[{"type":"string","enum":["FEATHER","CLIENT"]},{"type":"null","enum":["FEATHER","CLIENT"]}]},"createdAt":{"type":"string"},"updatedAt":{"type":"string"}},"required":["id","phoneNumber","ownership","createdAt","updatedAt"]},"isRequired":true,"uniqueKey":"agent.smsPhoneNumbers.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"agent.smsPhoneNumbers","typeLabel":"object[] | null"},"inboundPhoneNumbers":{"oneOf":[{"type":"array","items":{"type":"object","properties":{"id":{"type":"string","isRequired":true,"uniqueKey":"agent.inboundPhoneNumbers.oneOf.0.items.[INDEX].id","typeLabel":"string"},"phoneNumber":{"type":"string","isRequired":true,"uniqueKey":"agent.inboundPhoneNumbers.oneOf.0.items.[INDEX].phoneNumber","typeLabel":"string"},"ownership":{"oneOf":[{"type":"string","enum":["FEATHER","CLIENT"],"isRequired":true,"uniqueKey":"agent.inboundPhoneNumbers.oneOf.0.items.[INDEX].ownership.oneOf.0","typeLabel":"enum\u003cstring>"},{"type":"null","enum":["FEATHER","CLIENT"],"isRequired":true,"uniqueKey":"agent.inboundPhoneNumbers.oneOf.0.items.[INDEX].ownership.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"agent.inboundPhoneNumbers.oneOf.0.items.[INDEX].ownership","typeLabel":"enum\u003cstring> | null"},"createdAt":{"type":"string","isRequired":true,"uniqueKey":"agent.inboundPhoneNumbers.oneOf.0.items.[INDEX].createdAt","typeLabel":"string"},"updatedAt":{"type":"string","isRequired":true,"uniqueKey":"agent.inboundPhoneNumbers.oneOf.0.items.[INDEX].updatedAt","typeLabel":"string"}},"required":["id","phoneNumber","ownership","createdAt","updatedAt"],"uniqueKey":"agent.inboundPhoneNumbers.oneOf.0.items.[INDEX]","typeLabel":"object"},"isRequired":true,"uniqueKey":"agent.inboundPhoneNumbers.oneOf.0","typeLabel":"object[]"},{"type":"null","items":{"type":"object","properties":{"id":{"type":"string"},"phoneNumber":{"type":"string"},"ownership":{"oneOf":[{"type":"string","enum":["FEATHER","CLIENT"]},{"type":"null","enum":["FEATHER","CLIENT"]}]},"createdAt":{"type":"string"},"updatedAt":{"type":"string"}},"required":["id","phoneNumber","ownership","createdAt","updatedAt"]},"isRequired":true,"uniqueKey":"agent.inboundPhoneNumbers.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"agent.inboundPhoneNumbers","typeLabel":"object[] | null"},"outboundPhoneNumbers":{"oneOf":[{"type":"array","items":{"type":"object","properties":{"id":{"type":"string","isRequired":true,"uniqueKey":"agent.outboundPhoneNumbers.oneOf.0.items.[INDEX].id","typeLabel":"string"},"phoneNumber":{"type":"string","isRequired":true,"uniqueKey":"agent.outboundPhoneNumbers.oneOf.0.items.[INDEX].phoneNumber","typeLabel":"string"},"ownership":{"oneOf":[{"type":"string","enum":["FEATHER","CLIENT"],"isRequired":true,"uniqueKey":"agent.outboundPhoneNumbers.oneOf.0.items.[INDEX].ownership.oneOf.0","typeLabel":"enum\u003cstring>"},{"type":"null","enum":["FEATHER","CLIENT"],"isRequired":true,"uniqueKey":"agent.outboundPhoneNumbers.oneOf.0.items.[INDEX].ownership.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"agent.outboundPhoneNumbers.oneOf.0.items.[INDEX].ownership","typeLabel":"enum\u003cstring> | null"},"createdAt":{"type":"string","isRequired":true,"uniqueKey":"agent.outboundPhoneNumbers.oneOf.0.items.[INDEX].createdAt","typeLabel":"string"},"updatedAt":{"type":"string","isRequired":true,"uniqueKey":"agent.outboundPhoneNumbers.oneOf.0.items.[INDEX].updatedAt","typeLabel":"string"}},"required":["id","phoneNumber","ownership","createdAt","updatedAt"],"uniqueKey":"agent.outboundPhoneNumbers.oneOf.0.items.[INDEX]","typeLabel":"object"},"isRequired":true,"uniqueKey":"agent.outboundPhoneNumbers.oneOf.0","typeLabel":"object[]"},{"type":"null","items":{"type":"object","properties":{"id":{"type":"string"},"phoneNumber":{"type":"string"},"ownership":{"oneOf":[{"type":"string","enum":["FEATHER","CLIENT"]},{"type":"null","enum":["FEATHER","CLIENT"]}]},"createdAt":{"type":"string"},"updatedAt":{"type":"string"}},"required":["id","phoneNumber","ownership","createdAt","updatedAt"]},"isRequired":true,"uniqueKey":"agent.outboundPhoneNumbers.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"agent.outboundPhoneNumbers","typeLabel":"object[] | null"},"version":{"type":"object","properties":{"id":{"type":"string","isRequired":true,"uniqueKey":"agent.version.id","typeLabel":"string"},"version":{"type":"number","isRequired":true,"uniqueKey":"agent.version.version","typeLabel":"number"},"name":{"type":"string","isRequired":true,"uniqueKey":"agent.version.name","typeLabel":"string"},"createdAt":{"type":"string","format":"date-time","isRequired":true,"uniqueKey":"agent.version.createdAt","typeLabel":"string\u003cdate-time>"},"updatedAt":{"type":"string","format":"date-time","isRequired":true,"uniqueKey":"agent.version.updatedAt","typeLabel":"string\u003cdate-time>"},"mode":{"type":"string","enum":["FLOW","PROMPT"],"isRequired":true,"uniqueKey":"agent.version.mode","typeLabel":"enum\u003cstring>"},"promptPersonalityId":{"oneOf":[{"type":"string","isRequired":true,"uniqueKey":"agent.version.promptPersonalityId.oneOf.0","typeLabel":"string"},{"type":"null","isRequired":true,"uniqueKey":"agent.version.promptPersonalityId.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"agent.version.promptPersonalityId","typeLabel":"string | null"},"sttConfigId":{"oneOf":[{"type":"string","isRequired":true,"uniqueKey":"agent.version.sttConfigId.oneOf.0","typeLabel":"string"},{"type":"null","isRequired":true,"uniqueKey":"agent.version.sttConfigId.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"agent.version.sttConfigId","typeLabel":"string | null"},"ttsConfigId":{"oneOf":[{"type":"string","isRequired":true,"uniqueKey":"agent.version.ttsConfigId.oneOf.0","typeLabel":"string"},{"type":"null","isRequired":true,"uniqueKey":"agent.version.ttsConfigId.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"agent.version.ttsConfigId","typeLabel":"string | null"},"llmConfigId":{"oneOf":[{"type":"string","isRequired":true,"uniqueKey":"agent.version.llmConfigId.oneOf.0","typeLabel":"string"},{"type":"null","isRequired":true,"uniqueKey":"agent.version.llmConfigId.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"agent.version.llmConfigId","typeLabel":"string | null"},"overrideSTTConfig":{"oneOf":[{"type":"object","properties":{"keywords":{"type":"array","items":{"type":"object","properties":{"keyword":{"type":"string","isRequired":true,"uniqueKey":"agent.version.overrideSTTConfig.oneOf.0.keywords.items.[INDEX].keyword","typeLabel":"string"},"intensifier":{"type":"string","enum":["HIGH_SUPPRESS","SUPPRESS","INTENSIFY","HIGH_INTENSIFY"],"default":"INTENSIFY","uniqueKey":"agent.version.overrideSTTConfig.oneOf.0.keywords.items.[INDEX].intensifier","typeLabel":"enum\u003cstring>"}},"required":["keyword"],"uniqueKey":"agent.version.overrideSTTConfig.oneOf.0.keywords.items.[INDEX]","typeLabel":"object"},"isRequired":true,"uniqueKey":"agent.version.overrideSTTConfig.oneOf.0.keywords","typeLabel":"object[]"}},"required":["keywords"],"isRequired":true,"uniqueKey":"agent.version.overrideSTTConfig.oneOf.0","typeLabel":"object"},{"type":"null","properties":{"keywords":{"type":"array","items":{"type":"object","properties":{"keyword":{"type":"string"},"intensifier":{"type":"string","enum":["HIGH_SUPPRESS","SUPPRESS","INTENSIFY","HIGH_INTENSIFY"],"default":"INTENSIFY"}},"required":["keyword"]}}},"required":["keywords"],"isRequired":true,"uniqueKey":"agent.version.overrideSTTConfig.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"agent.version.overrideSTTConfig","typeLabel":"object | null"},"overrideTTSConfig":{"oneOf":[{"type":"object","properties":{"pronunciations":{"type":"array","items":{"type":"object","properties":{"word":{"type":"string","minLength":1,"isRequired":true,"uniqueKey":"agent.version.overrideTTSConfig.oneOf.0.pronunciations.items.[INDEX].word","typeLabel":"string"},"pronunciation":{"type":"string","minLength":1,"isRequired":true,"uniqueKey":"agent.version.overrideTTSConfig.oneOf.0.pronunciations.items.[INDEX].pronunciation","typeLabel":"string"},"case_sensitive":{"type":"boolean","default":false,"uniqueKey":"agent.version.overrideTTSConfig.oneOf.0.pronunciations.items.[INDEX].case_sensitive","typeLabel":"boolean"}},"required":["word","pronunciation"],"uniqueKey":"agent.version.overrideTTSConfig.oneOf.0.pronunciations.items.[INDEX]","typeLabel":"object"},"default":[],"uniqueKey":"agent.version.overrideTTSConfig.oneOf.0.pronunciations","typeLabel":"object[]"}},"isRequired":true,"uniqueKey":"agent.version.overrideTTSConfig.oneOf.0","typeLabel":"object"},{"type":"null","properties":{"pronunciations":{"type":"array","items":{"type":"object","properties":{"word":{"type":"string","minLength":1},"pronunciation":{"type":"string","minLength":1},"case_sensitive":{"type":"boolean","default":false}},"required":["word","pronunciation"]},"default":[]}},"isRequired":true,"uniqueKey":"agent.version.overrideTTSConfig.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"agent.version.overrideTTSConfig","typeLabel":"object | null"},"overrideLLMConfig":{"oneOf":[{"type":"object","additionalProperties":{"oneOf":[{},{"type":"null","uniqueKey":"agent.version.overrideLLMConfig.oneOf.0.additionalProperties.oneOf.1","typeLabel":"null"}],"uniqueKey":"agent.version.overrideLLMConfig.oneOf.0.additionalProperties","typeLabel":"null"},"isRequired":true,"uniqueKey":"agent.version.overrideLLMConfig.oneOf.0","typeLabel":"object"},{"type":"null","additionalProperties":{"oneOf":[{},{"type":"null","uniqueKey":"agent.version.overrideLLMConfig.oneOf.1.additionalProperties.oneOf.1","typeLabel":"null"}],"uniqueKey":"agent.version.overrideLLMConfig.oneOf.1.additionalProperties","typeLabel":"null"},"isRequired":true,"uniqueKey":"agent.version.overrideLLMConfig.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"agent.version.overrideLLMConfig","typeLabel":"object | null"},"voiceId":{"oneOf":[{"type":"string","isRequired":true,"uniqueKey":"agent.version.voiceId.oneOf.0","typeLabel":"string"},{"type":"null","isRequired":true,"uniqueKey":"agent.version.voiceId.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"agent.version.voiceId","typeLabel":"string | null"},"postCallPrompt":{"oneOf":[{"type":"string","isRequired":true,"uniqueKey":"agent.version.postCallPrompt.oneOf.0","typeLabel":"string"},{"type":"null","isRequired":true,"uniqueKey":"agent.version.postCallPrompt.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"agent.version.postCallPrompt","typeLabel":"string | null"},"postCallVariables":{"oneOf":[{"type":"array","items":{"type":"object","properties":{"variableName":{"type":"string","isRequired":true,"uniqueKey":"agent.version.postCallVariables.oneOf.0.items.[INDEX].variableName","typeLabel":"string"},"type":{"type":"string","enum":["STRING","NUMBER","BOOLEAN","ARRAY"],"isRequired":true,"uniqueKey":"agent.version.postCallVariables.oneOf.0.items.[INDEX].type","typeLabel":"enum\u003cstring>"},"description":{"type":"string","uniqueKey":"agent.version.postCallVariables.oneOf.0.items.[INDEX].description","typeLabel":"string"},"required":{"type":"boolean","default":false,"uniqueKey":"agent.version.postCallVariables.oneOf.0.items.[INDEX].required","typeLabel":"boolean"}},"required":["variableName","type"],"uniqueKey":"agent.version.postCallVariables.oneOf.0.items.[INDEX]","typeLabel":"object"},"isRequired":true,"uniqueKey":"agent.version.postCallVariables.oneOf.0","typeLabel":"object[]"},{"type":"null","items":{"type":"object","properties":{"variableName":{"type":"string"},"type":{"type":"string","enum":["STRING","NUMBER","BOOLEAN","ARRAY"]},"description":{"type":"string"},"required":{"type":"boolean","default":false}},"required":["variableName","type"]},"isRequired":true,"uniqueKey":"agent.version.postCallVariables.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"agent.version.postCallVariables","typeLabel":"object[] | null"},"knowledgeBaseCollectionIds":{"oneOf":[{"type":"array","items":{"type":"string","uniqueKey":"agent.version.knowledgeBaseCollectionIds.oneOf.0.items.[INDEX]","typeLabel":"string"},"isRequired":true,"uniqueKey":"agent.version.knowledgeBaseCollectionIds.oneOf.0","typeLabel":"string[]"},{"type":"null","items":{"type":"string"},"isRequired":true,"uniqueKey":"agent.version.knowledgeBaseCollectionIds.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"agent.version.knowledgeBaseCollectionIds","typeLabel":"string[] | null"},"voicemailMessage":{"oneOf":[{"type":"string","isRequired":true,"uniqueKey":"agent.version.voicemailMessage.oneOf.0","typeLabel":"string"},{"type":"null","isRequired":true,"uniqueKey":"agent.version.voicemailMessage.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"agent.version.voicemailMessage","typeLabel":"string | null"},"firstMessage":{"oneOf":[{"type":"string","isRequired":true,"uniqueKey":"agent.version.firstMessage.oneOf.0","typeLabel":"string"},{"type":"null","isRequired":true,"uniqueKey":"agent.version.firstMessage.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"agent.version.firstMessage","typeLabel":"string | null"},"forwardingPhoneNumber":{"oneOf":[{"type":"string","pattern":"^\\+1(\\d{10}|\\d{3}-\\d{3}-\\d{4})|^\\+[1-9]\\d{1,14}$","isRequired":true,"uniqueKey":"agent.version.forwardingPhoneNumber.oneOf.0","typeLabel":"string"},{"type":"null","pattern":"^\\+1(\\d{10}|\\d{3}-\\d{3}-\\d{4})|^\\+[1-9]\\d{1,14}$","isRequired":true,"uniqueKey":"agent.version.forwardingPhoneNumber.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"agent.version.forwardingPhoneNumber","typeLabel":"string | null"},"warmTransferMessageMode":{"oneOf":[{"type":"string","enum":["STATIC","PROMPT"],"isRequired":true,"uniqueKey":"agent.version.warmTransferMessageMode.oneOf.0","typeLabel":"enum\u003cstring>"},{"type":"null","enum":["STATIC","PROMPT"],"isRequired":true,"uniqueKey":"agent.version.warmTransferMessageMode.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"agent.version.warmTransferMessageMode","typeLabel":"enum\u003cstring> | null"},"warmTransferBriefingTemplate":{"oneOf":[{"type":"string","isRequired":true,"uniqueKey":"agent.version.warmTransferBriefingTemplate.oneOf.0","typeLabel":"string"},{"type":"null","isRequired":true,"uniqueKey":"agent.version.warmTransferBriefingTemplate.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"agent.version.warmTransferBriefingTemplate","typeLabel":"string | null"},"warmTransferInstructions":{"oneOf":[{"type":"string","isRequired":true,"uniqueKey":"agent.version.warmTransferInstructions.oneOf.0","typeLabel":"string"},{"type":"null","isRequired":true,"uniqueKey":"agent.version.warmTransferInstructions.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"agent.version.warmTransferInstructions","typeLabel":"string | null"},"inactivityTimeoutHours":{"oneOf":[{"type":"integer","minimum":1,"isRequired":true,"uniqueKey":"agent.version.inactivityTimeoutHours.oneOf.0","typeLabel":"integer"},{"type":"null","minimum":1,"isRequired":true,"uniqueKey":"agent.version.inactivityTimeoutHours.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"agent.version.inactivityTimeoutHours","typeLabel":"integer | null"},"smsMaxTokens":{"oneOf":[{"type":"integer","minimum":100,"maximum":2000,"isRequired":true,"uniqueKey":"agent.version.smsMaxTokens.oneOf.0","typeLabel":"integer"},{"type":"null","minimum":100,"maximum":2000,"isRequired":true,"uniqueKey":"agent.version.smsMaxTokens.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"agent.version.smsMaxTokens","typeLabel":"integer | null"},"smsTemperature":{"oneOf":[{"type":"number","minimum":0,"maximum":2,"isRequired":true,"uniqueKey":"agent.version.smsTemperature.oneOf.0","typeLabel":"number"},{"type":"null","minimum":0,"maximum":2,"isRequired":true,"uniqueKey":"agent.version.smsTemperature.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"agent.version.smsTemperature","typeLabel":"number | null"},"webChatAggregationWindowSeconds":{"oneOf":[{"type":"integer","minimum":1,"maximum":115,"isRequired":true,"uniqueKey":"agent.version.webChatAggregationWindowSeconds.oneOf.0","typeLabel":"integer"},{"type":"null","minimum":1,"maximum":115,"isRequired":true,"uniqueKey":"agent.version.webChatAggregationWindowSeconds.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"agent.version.webChatAggregationWindowSeconds","typeLabel":"integer | null"},"prompt":{"oneOf":[{"type":"object","properties":{"system":{"type":"string","isRequired":true,"uniqueKey":"agent.version.prompt.oneOf.0.system","typeLabel":"string"},"systemUIFormatting":{"oneOf":[{},{"type":"null","uniqueKey":"agent.version.prompt.oneOf.0.systemUIFormatting.oneOf.1","typeLabel":"null"}],"uniqueKey":"agent.version.prompt.oneOf.0.systemUIFormatting","typeLabel":"null"},"variables":{"type":"array","items":{"type":"object","properties":{"name":{"type":"string","isRequired":true,"uniqueKey":"agent.version.prompt.oneOf.0.variables.items.[INDEX].name","typeLabel":"string"},"required":{"type":"boolean","default":true,"uniqueKey":"agent.version.prompt.oneOf.0.variables.items.[INDEX].required","typeLabel":"boolean"},"defaultValue":{"type":"string","uniqueKey":"agent.version.prompt.oneOf.0.variables.items.[INDEX].defaultValue","typeLabel":"string"}},"required":["name"],"uniqueKey":"agent.version.prompt.oneOf.0.variables.items.[INDEX]","typeLabel":"object"},"uniqueKey":"agent.version.prompt.oneOf.0.variables","typeLabel":"object[]"},"tools":{"type":"array","items":{"type":"string","uniqueKey":"agent.version.prompt.oneOf.0.tools.items.[INDEX]","typeLabel":"string"},"uniqueKey":"agent.version.prompt.oneOf.0.tools","typeLabel":"string[]"},"preBuiltTools":{"type":"array","items":{"type":"string","uniqueKey":"agent.version.prompt.oneOf.0.preBuiltTools.items.[INDEX]","typeLabel":"string"},"uniqueKey":"agent.version.prompt.oneOf.0.preBuiltTools","typeLabel":"string[]"}},"required":["system"],"uniqueKey":"agent.version.prompt.oneOf.0","typeLabel":"object"},{"type":"null","properties":{"system":{"type":"string"},"systemUIFormatting":{"oneOf":[{},{"type":"null"}]},"variables":{"type":"array","items":{"type":"object","properties":{"name":{"type":"string"},"required":{"type":"boolean","default":true},"defaultValue":{"type":"string"}},"required":["name"]}},"tools":{"type":"array","items":{"type":"string"}},"preBuiltTools":{"type":"array","items":{"type":"string"}}},"required":["system"],"uniqueKey":"agent.version.prompt.oneOf.1","typeLabel":"null"}],"uniqueKey":"agent.version.prompt","typeLabel":"object | null"},"voicemailDetectionMode":{"type":"string","enum":["ASYNC","SYNC"],"default":"ASYNC","uniqueKey":"agent.version.voicemailDetectionMode","typeLabel":"enum\u003cstring>"},"speakFirst":{"type":"boolean","default":false,"uniqueKey":"agent.version.speakFirst","typeLabel":"boolean"},"useKnowledgeBase":{"type":"boolean","default":true,"uniqueKey":"agent.version.useKnowledgeBase","typeLabel":"boolean"},"enableBackgroundAudio":{"type":"boolean","default":false,"uniqueKey":"agent.version.enableBackgroundAudio","typeLabel":"boolean"},"backgroundAudio":{"type":"number","minimum":0,"exclusiveMinimum":true,"maximum":100,"exclusiveMaximum":true,"default":50,"uniqueKey":"agent.version.backgroundAudio","typeLabel":"number"},"voiceVolume":{"type":"integer","minimum":10,"maximum":120,"default":100,"uniqueKey":"agent.version.voiceVolume","typeLabel":"integer"},"warmTransferInteractive":{"type":"boolean","default":false,"uniqueKey":"agent.version.warmTransferInteractive","typeLabel":"boolean"},"voiceSpeed":{"oneOf":[{"type":"number","minimum":0.8,"maximum":1.2,"default":1,"uniqueKey":"agent.version.voiceSpeed.oneOf.0","typeLabel":"number"},{"type":"null","minimum":0.8,"maximum":1.2,"default":1,"uniqueKey":"agent.version.voiceSpeed.oneOf.1","typeLabel":"null"}],"uniqueKey":"agent.version.voiceSpeed","typeLabel":"number | null"},"agentDelayBeforeFirstMessage":{"type":"integer","minimum":0,"maximum":2500,"default":500,"uniqueKey":"agent.version.agentDelayBeforeFirstMessage","typeLabel":"integer"},"initialSilenceTimeout":{"type":"integer","minimum":0,"maximum":60000,"default":30000,"uniqueKey":"agent.version.initialSilenceTimeout","typeLabel":"integer"},"finalSilenceTimeout":{"type":"integer","minimum":0,"maximum":60000,"default":10000,"uniqueKey":"agent.version.finalSilenceTimeout","typeLabel":"integer"},"maxCallDuration":{"type":"integer","minimum":300,"maximum":6000,"default":900,"uniqueKey":"agent.version.maxCallDuration","typeLabel":"integer"},"minInterruptionWords":{"type":"integer","minimum":0,"default":1,"uniqueKey":"agent.version.minInterruptionWords","typeLabel":"integer"},"minInterruptionDuration":{"type":"number","minimum":0,"default":1,"uniqueKey":"agent.version.minInterruptionDuration","typeLabel":"number"},"minEndpointingDelay":{"type":"number","minimum":0,"default":0.5,"uniqueKey":"agent.version.minEndpointingDelay","typeLabel":"number"},"maxEndpointingDelay":{"type":"number","minimum":0,"default":3,"uniqueKey":"agent.version.maxEndpointingDelay","typeLabel":"number"},"vadActivationThreshold":{"type":"number","minimum":0.1,"maximum":0.9,"default":0.5,"uniqueKey":"agent.version.vadActivationThreshold","typeLabel":"number"},"language":{"type":"object","properties":{"languageId":{"type":"string","isRequired":true,"uniqueKey":"agent.version.language.languageId","typeLabel":"string"},"languageCode":{"type":"string","enum":["EN","EN_US","EN_AU","EN_GB","EN_IN","EN_NZ","HI","DE","FR","ES","JA","PT_BR"],"isRequired":true,"uniqueKey":"agent.version.language.languageCode","typeLabel":"enum\u003cstring>"},"languageDisplayName":{"type":"string","isRequired":true,"uniqueKey":"agent.version.language.languageDisplayName","typeLabel":"string"}},"required":["languageId","languageCode","languageDisplayName"],"uniqueKey":"agent.version.language","typeLabel":"object"},"transferImmediatelyOnInbound":{"type":"boolean","default":false,"uniqueKey":"agent.version.transferImmediatelyOnInbound","typeLabel":"boolean"},"discardInboundSms":{"type":"boolean","default":false,"uniqueKey":"agent.version.discardInboundSms","typeLabel":"boolean"},"emailDomainId":{"oneOf":[{"type":"string","uniqueKey":"agent.version.emailDomainId.oneOf.0","typeLabel":"string"},{"type":"null","uniqueKey":"agent.version.emailDomainId.oneOf.1","typeLabel":"null"}],"uniqueKey":"agent.version.emailDomainId","typeLabel":"string | null"},"emailFromLocalPart":{"oneOf":[{"type":"string","uniqueKey":"agent.version.emailFromLocalPart.oneOf.0","typeLabel":"string"},{"type":"null","uniqueKey":"agent.version.emailFromLocalPart.oneOf.1","typeLabel":"null"}],"uniqueKey":"agent.version.emailFromLocalPart","typeLabel":"string | null"},"emailFromName":{"oneOf":[{"type":"string","uniqueKey":"agent.version.emailFromName.oneOf.0","typeLabel":"string"},{"type":"null","uniqueKey":"agent.version.emailFromName.oneOf.1","typeLabel":"null"}],"uniqueKey":"agent.version.emailFromName","typeLabel":"string | null"},"emailMaxTokens":{"oneOf":[{"type":"integer","minimum":100,"maximum":10000,"uniqueKey":"agent.version.emailMaxTokens.oneOf.0","typeLabel":"integer"},{"type":"null","minimum":100,"maximum":10000,"uniqueKey":"agent.version.emailMaxTokens.oneOf.1","typeLabel":"null"}],"uniqueKey":"agent.version.emailMaxTokens","typeLabel":"integer | null"},"emailTemperature":{"oneOf":[{"type":"number","minimum":0,"maximum":2,"uniqueKey":"agent.version.emailTemperature.oneOf.0","typeLabel":"number"},{"type":"null","minimum":0,"maximum":2,"uniqueKey":"agent.version.emailTemperature.oneOf.1","typeLabel":"null"}],"uniqueKey":"agent.version.emailTemperature","typeLabel":"number | null"},"emailInactivityTimeoutHours":{"oneOf":[{"type":"integer","minimum":1,"uniqueKey":"agent.version.emailInactivityTimeoutHours.oneOf.0","typeLabel":"integer"},{"type":"null","minimum":1,"uniqueKey":"agent.version.emailInactivityTimeoutHours.oneOf.1","typeLabel":"null"}],"uniqueKey":"agent.version.emailInactivityTimeoutHours","typeLabel":"integer | null"},"emailFilteringEnabled":{"type":"boolean","default":false,"uniqueKey":"agent.version.emailFilteringEnabled","typeLabel":"boolean"},"emailResponseMode":{"type":"string","enum":["AUTO_SEND","SUGGEST_ONLY","CONFIDENCE_BASED"],"default":"AUTO_SEND","uniqueKey":"agent.version.emailResponseMode","typeLabel":"enum\u003cstring>"},"emailConfidenceThreshold":{"type":"number","minimum":0,"maximum":1,"default":0.8,"uniqueKey":"agent.version.emailConfidenceThreshold","typeLabel":"number"},"emailTags":{"oneOf":[{"type":"array","items":{"type":"object","properties":{"name":{"type":"string","isRequired":true,"uniqueKey":"agent.version.emailTags.oneOf.0.items.[INDEX].name","typeLabel":"string"},"prompt":{"type":"string","isRequired":true,"uniqueKey":"agent.version.emailTags.oneOf.0.items.[INDEX].prompt","typeLabel":"string"},"autoClose":{"type":"boolean","isRequired":true,"uniqueKey":"agent.version.emailTags.oneOf.0.items.[INDEX].autoClose","typeLabel":"boolean"},"gmailLabelId":{"type":"string","uniqueKey":"agent.version.emailTags.oneOf.0.items.[INDEX].gmailLabelId","typeLabel":"string"},"gmailLabelName":{"type":"string","uniqueKey":"agent.version.emailTags.oneOf.0.items.[INDEX].gmailLabelName","typeLabel":"string"}},"required":["name","prompt","autoClose"],"uniqueKey":"agent.version.emailTags.oneOf.0.items.[INDEX]","typeLabel":"object"},"uniqueKey":"agent.version.emailTags.oneOf.0","typeLabel":"object[]"},{"type":"null","items":{"type":"object","properties":{"name":{"type":"string"},"prompt":{"type":"string"},"autoClose":{"type":"boolean"},"gmailLabelId":{"type":"string"},"gmailLabelName":{"type":"string"}},"required":["name","prompt","autoClose"]},"uniqueKey":"agent.version.emailTags.oneOf.1","typeLabel":"null"}],"uniqueKey":"agent.version.emailTags","typeLabel":"object[] | null"},"sentimentAnalysis":{"type":"boolean","default":false,"uniqueKey":"agent.version.sentimentAnalysis","typeLabel":"boolean"},"preCallWebhook":{"oneOf":[{"type":"object","properties":{"mode":{"type":"string","enum":["tool"],"isRequired":true,"uniqueKey":"agent.version.preCallWebhook.oneOf.0.mode","typeLabel":"enum\u003cstring>"},"toolId":{"type":"string","minLength":1,"isRequired":true,"uniqueKey":"agent.version.preCallWebhook.oneOf.0.toolId","typeLabel":"string"},"toolSlug":{"type":"string","minLength":1,"uniqueKey":"agent.version.preCallWebhook.oneOf.0.toolSlug","typeLabel":"string"}},"required":["mode","toolId"],"uniqueKey":"agent.version.preCallWebhook.oneOf.0","typeLabel":"object"},{"type":"null","properties":{"mode":{"type":"string","enum":["tool"]},"toolId":{"type":"string","minLength":1},"toolSlug":{"type":"string","minLength":1}},"required":["mode","toolId"],"uniqueKey":"agent.version.preCallWebhook.oneOf.1","typeLabel":"null"}],"uniqueKey":"agent.version.preCallWebhook","typeLabel":"object | null"}},"required":["id","version","name","createdAt","updatedAt","mode","promptPersonalityId","sttConfigId","ttsConfigId","llmConfigId","overrideSTTConfig","overrideTTSConfig","overrideLLMConfig","voiceId","postCallPrompt","postCallVariables","knowledgeBaseCollectionIds","voicemailMessage","firstMessage","forwardingPhoneNumber","warmTransferMessageMode","warmTransferBriefingTemplate","warmTransferInstructions","inactivityTimeoutHours","smsMaxTokens","smsTemperature","webChatAggregationWindowSeconds"],"isRequired":true,"uniqueKey":"agent.version","typeLabel":"object"},"callObservabilityEnabled":{"type":"boolean","default":false,"uniqueKey":"agent.callObservabilityEnabled","typeLabel":"boolean"}},"required":["id","name","description","agentType","createdAt","updatedAt","smsPhoneNumbers","inboundPhoneNumbers","outboundPhoneNumbers","version"],"isRequired":true,"uniqueKey":"agent","typeLabel":"object"}},"required":["agent"],"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"agent":{"id":"\u003cstring>","name":"\u003cstring>","description":"\u003cstring>","agentType":"CALL","createdAt":"2023-11-07T05:31:56Z","updatedAt":"2023-11-07T05:31:56Z","smsPhoneNumbers":[{"id":"\u003cstring>","phoneNumber":"\u003cstring>","ownership":"FEATHER","createdAt":"\u003cstring>","updatedAt":"\u003cstring>"}],"inboundPhoneNumbers":[{"id":"\u003cstring>","phoneNumber":"\u003cstring>","ownership":"FEATHER","createdAt":"\u003cstring>","updatedAt":"\u003cstring>"}],"outboundPhoneNumbers":[{"id":"\u003cstring>","phoneNumber":"\u003cstring>","ownership":"FEATHER","createdAt":"\u003cstring>","updatedAt":"\u003cstring>"}],"version":{"id":"\u003cstring>","version":123,"name":"\u003cstring>","createdAt":"2023-11-07T05:31:56Z","updatedAt":"2023-11-07T05:31:56Z","mode":"FLOW","promptPersonalityId":"\u003cstring>","sttConfigId":"\u003cstring>","ttsConfigId":"\u003cstring>","llmConfigId":"\u003cstring>","overrideSTTConfig":{"keywords":[{"keyword":"\u003cstring>","intensifier":"INTENSIFY"}]},"overrideTTSConfig":{"pronunciations":[]},"overrideLLMConfig":{},"voiceId":"\u003cstring>","postCallPrompt":"\u003cstring>","postCallVariables":[{"variableName":"\u003cstring>","type":"STRING","description":"\u003cstring>","required":false}],"knowledgeBaseCollectionIds":["\u003cstring>"],"voicemailMessage":"\u003cstring>","firstMessage":"\u003cstring>","forwardingPhoneNumber":"\u003cstring>","warmTransferMessageMode":"STATIC","warmTransferBriefingTemplate":"\u003cstring>","warmTransferInstructions":"\u003cstring>","inactivityTimeoutHours":2,"smsMaxTokens":1050,"smsTemperature":1,"webChatAggregationWindowSeconds":58,"prompt":{"system":"\u003cstring>","systemUIFormatting":"\u003cunknown>","variables":[{"name":"\u003cstring>","required":true,"defaultValue":"\u003cstring>"}],"tools":["\u003cstring>"],"preBuiltTools":["\u003cstring>"]},"voicemailDetectionMode":"ASYNC","speakFirst":false,"useKnowledgeBase":true,"enableBackgroundAudio":false,"backgroundAudio":50,"voiceVolume":100,"warmTransferInteractive":false,"voiceSpeed":1,"agentDelayBeforeFirstMessage":500,"initialSilenceTimeout":30000,"finalSilenceTimeout":10000,"maxCallDuration":900,"minInterruptionWords":1,"minInterruptionDuration":1,"minEndpointingDelay":0.5,"maxEndpointingDelay":3,"vadActivationThreshold":0.5,"language":{"languageId":"\u003cstring>","languageCode":"EN","languageDisplayName":"\u003cstring>"},"transferImmediatelyOnInbound":false,"discardInboundSms":false,"emailDomainId":"\u003cstring>","emailFromLocalPart":"\u003cstring>","emailFromName":"\u003cstring>","emailMaxTokens":5050,"emailTemperature":1,"emailInactivityTimeoutHours":2,"emailFilteringEnabled":false,"emailResponseMode":"AUTO_SEND","emailConfidenceThreshold":0.8,"emailTags":[{"name":"\u003cstring>","prompt":"\u003cstring>","autoClose":true,"gmailLabelId":"\u003cstring>","gmailLabelName":"\u003cstring>"}],"sentimentAnalysis":false,"preCallWebhook":{"mode":"tool","toolId":"\u003cstring>","toolSlug":"\u003cstring>"}},"callObservabilityEnabled":false}}}},"exampleType":"generated"}},"exampleType":"generated"},"694abc68-87a7-4c6e-b12b-a15c64955a69":{"description":"Bad Request","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"integer","default":400,"uniqueKey":"status","typeLabel":"integer"},"message":{"type":"string","default":"Bad request","uniqueKey":"message","typeLabel":"string"},"code":{"type":"string","enum":["BAD_REQUEST"],"default":"BAD_REQUEST","uniqueKey":"code","typeLabel":"enum\u003cstring>"},"success":{"type":"boolean","enum":[false],"default":false,"uniqueKey":"success","typeLabel":"enum\u003cboolean>"}},"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"status":400,"message":"Bad request","code":"BAD_REQUEST","success":false}}},"exampleType":"generated"}},"exampleType":"generated"},"a1c4198f-c0b6-4883-bbb1-d21d8d12aef7":{"description":"Agent not found","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"integer","default":400,"uniqueKey":"status","typeLabel":"integer"},"message":{"type":"string","default":"Bad request","uniqueKey":"message","typeLabel":"string"},"code":{"type":"string","enum":["BAD_REQUEST"],"default":"BAD_REQUEST","uniqueKey":"code","typeLabel":"enum\u003cstring>"},"success":{"type":"boolean","enum":[false],"default":false,"uniqueKey":"success","typeLabel":"enum\u003cboolean>"}},"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"status":400,"message":"Bad request","code":"BAD_REQUEST","success":false}}},"exampleType":"generated"}},"exampleType":"generated"},"bd2383d9-7e78-4bd2-8719-ae3dc6c564c5":{"description":"Internal server error","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"integer","default":500,"uniqueKey":"status","typeLabel":"integer"},"message":{"type":"string","default":"Internal server error","uniqueKey":"message","typeLabel":"string"},"code":{"type":"string","enum":["INTERNAL_SERVER_ERROR"],"default":"INTERNAL_SERVER_ERROR","uniqueKey":"code","typeLabel":"enum\u003cstring>"},"success":{"type":"boolean","enum":[false],"default":false,"uniqueKey":"success","typeLabel":"enum\u003cboolean>"}},"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"status":500,"message":"Internal server error","code":"INTERNAL_SERVER_ERROR","success":false}}},"exampleType":"generated"}},"exampleType":"generated"}},"security":{"2a7b3224-676d-4543-8123-eff4bf642839":{"ApiKey":{"type":"apiKey","in":"header","name":"X-API-Key","scopes":[]}}},"servers":{"0cb54ec8-735b-477a-bae7-195bc65bc395":{"url":"https://prod.featherhq.com","description":"Production environment"}},"processedSecurityOptions":[{"schemes":[{"scheme":{"type":"apiKey","in":"header","name":"X-API-Key","scopes":[]},"schema":{"title":"X-API-Key","type":"string","isRequired":true,"typeLabel":"string","deprecated":false},"schemeName":"ApiKey","name":"X-API-Key"}],"title":"ApiKey"}]},"originalFileLocation":"openapi.json"},"subdomain":"feather","siteName":"Feather","title":"Clone an existing agent - Feather","navMaps":{"firstHrefInVersion":{},"firstHrefInLanguage":{}},"lastModified":"2025-10-02T03:07:24.228Z","originalFileLocation":"api-reference/agents/clone-an-existing-agent.mdx"},"headHtml":"\u003cscript data-mint-head>(function(){var d=document.documentElement,p=null;if(!p){try{p=localStorage.getItem(\"isDarkMode\")}catch(e){}if(p==='true')p='dark';else if(p==='false')p='light';if(p!=='light'\u0026\u0026p!=='dark'\u0026\u0026p!=='system')p=\"system\"}var r=p==='system'?(matchMedia(\"(prefers-color-scheme: dark)\").matches?'dark':'light'):p;d.classList.remove(r==='dark'?'light':'dark');d.classList.add(r);d.setAttribute(\"data-theme-preference\",p)})();\u003c/script>\u003cmeta data-mint-head name=\"description\" content=\"Clone an existing agent with either the latest or deployed version\">\u003cmeta data-mint-head name=\"application-name\" content=\"Feather\">\u003cmeta data-mint-head name=\"generator\" content=\"Mintlify\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/feather/j4jv31mhP6Y-KJKh/_generated/favicon/android-chrome-192x192.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"apple-touch-icon\" type=\"image/png\" sizes=\"180x180\" href=\"/mintlify-assets/_mintlify/favicons/feather/j4jv31mhP6Y-KJKh/_generated/favicon/apple-touch-icon.png\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/feather/j4jv31mhP6Y-KJKh/_generated/favicon/favicon-16x16.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/feather/j4jv31mhP6Y-KJKh/_generated/favicon/favicon-32x32.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/feather/j4jv31mhP6Y-KJKh/_generated/favicon/favicon.ico\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/feather/j4jv31mhP6Y-KJKh/_generated/favicon-dark/android-chrome-192x192.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/feather/j4jv31mhP6Y-KJKh/_generated/favicon-dark/favicon-16x16.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/feather/j4jv31mhP6Y-KJKh/_generated/favicon-dark/favicon-32x32.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/feather/j4jv31mhP6Y-KJKh/_generated/favicon-dark/favicon.ico\" media=\"(prefers-color-scheme: dark)\">\u003cmeta data-mint-head property=\"og:title\" content=\"Clone an existing agent - Feather\">\u003cmeta data-mint-head property=\"og:description\" content=\"Clone an existing agent with either the latest or deployed version\">\u003cmeta data-mint-head property=\"og:site_name\" content=\"Feather\">\u003cmeta data-mint-head property=\"og:url\" content=\"https://docs.featherhq.com/api-reference/agents/clone-an-existing-agent\">\u003cmeta data-mint-head property=\"og:type\" content=\"website\">\u003cmeta data-mint-head property=\"og:image\" content=\"https://feather.mintlify.app/_mintlify/api/og/v2?division=Agents\u0026amp;title=Clone+an+existing+agent\u0026amp;description=Clone+an+existing+agent+with+either+the+latest+or+deployed+version\u0026amp;theme=a5ebab32e0f849868008d1bc\u0026amp;signature=ce418b563de1666a3e5ef322a8fdb3f8c286525e755d9309c90b0d04e59953d1\">\u003cmeta data-mint-head property=\"og:image:width\" content=\"1200\">\u003cmeta data-mint-head property=\"og:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"twitter:card\" content=\"summary_large_image\">\u003cmeta data-mint-head name=\"twitter:title\" content=\"Clone an existing agent - Feather\">\u003cmeta data-mint-head name=\"twitter:description\" content=\"Clone an existing agent with either the latest or deployed version\">\u003cmeta data-mint-head name=\"twitter:image\" content=\"https://feather.mintlify.app/_mintlify/api/og/v2?division=Agents\u0026amp;title=Clone+an+existing+agent\u0026amp;description=Clone+an+existing+agent+with+either+the+latest+or+deployed+version\u0026amp;theme=a5ebab32e0f849868008d1bc\u0026amp;signature=ce418b563de1666a3e5ef322a8fdb3f8c286525e755d9309c90b0d04e59953d1\">\u003cmeta data-mint-head name=\"twitter:image:width\" content=\"1200\">\u003cmeta data-mint-head name=\"twitter:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"msapplication-config\" content=\"/mintlify-assets/_mintlify/favicons/feather/j4jv31mhP6Y-KJKh/_generated/favicon/browserconfig.xml\">\u003cmeta data-mint-head name=\"apple-mobile-web-app-title\" content=\"Feather\">\u003cmeta data-mint-head name=\"msapplication-TileColor\" content=\"#0447B3\">\u003clink data-mint-head rel=\"canonical\" href=\"https://docs.featherhq.com/api-reference/agents/clone-an-existing-agent\">\u003clink data-mint-head rel=\"alternate\" type=\"application/xml\" href=\"/sitemap.xml\">\u003clink data-mint-head rel=\"alternate\" type=\"text/markdown\" href=\"/api-reference/agents/clone-an-existing-agent.md\">\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@graph\":[{\"@type\":\"Organization\",\"@id\":\"https://docs.featherhq.com/#organization\",\"name\":\"Feather\",\"url\":\"https://docs.featherhq.com\",\"logo\":{\"@type\":\"ImageObject\",\"url\":\"https://mintcdn.com/feather/eW_zqxbAdoyk4s4G/logo/light.svg?fit=max\u0026auto=format\u0026n=eW_zqxbAdoyk4s4G\u0026q=85\u0026s=196f46b7229e7de0fdaa5c97aa035bdf\"}},{\"@type\":\"WebSite\",\"@id\":\"https://docs.featherhq.com#website\",\"name\":\"Feather\",\"url\":\"https://docs.featherhq.com\",\"publisher\":{\"@id\":\"https://docs.featherhq.com/#organization\"}},{\"@type\":\"WebPage\",\"@id\":\"https://docs.featherhq.com/api-reference/agents/clone-an-existing-agent#webpage\",\"url\":\"https://docs.featherhq.com/api-reference/agents/clone-an-existing-agent\",\"name\":\"Clone an existing agent\",\"description\":\"Clone an existing agent with either the latest or deployed version\",\"dateModified\":\"2025-10-02T03:07:24.228Z\",\"isPartOf\":{\"@id\":\"https://docs.featherhq.com#website\"},\"breadcrumb\":{\"@id\":\"https://docs.featherhq.com/api-reference/agents/clone-an-existing-agent#breadcrumb\"}},{\"@type\":\"BreadcrumbList\",\"@id\":\"https://docs.featherhq.com/api-reference/agents/clone-an-existing-agent#breadcrumb\",\"itemListElement\":[{\"@type\":\"ListItem\",\"position\":1,\"name\":\"Agents\",\"item\":\"https://docs.featherhq.com/api-reference/agents/list-all-agents\"},{\"@type\":\"ListItem\",\"position\":2,\"name\":\"Clone an existing agent\",\"item\":\"https://docs.featherhq.com/api-reference/agents/clone-an-existing-agent\"}]},{\"@type\":[\"TechArticle\",\"APIReference\"],\"@id\":\"https://docs.featherhq.com/api-reference/agents/clone-an-existing-agent#apireference\",\"headline\":\"Clone an existing agent\",\"name\":\"Clone an existing agent\",\"description\":\"Clone an existing agent with either the latest or deployed version\",\"url\":\"https://docs.featherhq.com/api-reference/agents/clone-an-existing-agent\",\"mainEntityOfPage\":{\"@id\":\"https://docs.featherhq.com/api-reference/agents/clone-an-existing-agent#webpage\"},\"dateModified\":\"2025-10-02T03:07:24.228Z\",\"publisher\":{\"@id\":\"https://docs.featherhq.com/#organization\"},\"isPartOf\":{\"@id\":\"https://docs.featherhq.com#website\"}}]}\u003c/script>\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@type\":\"WebSite\",\"name\":\"Feather\",\"creator\":{\"@type\":\"Organization\",\"name\":\"Mintlify\",\"url\":\"https://mintlify.com\"}}\u003c/script>","siteName":"Feather","nav":{"global":null,"tabs":[{"tab":"Documentation","icon":"book-open","pages":[{"title":"Documentation","href":"/documentation/getting-started/overview"}]},{"tab":"API Reference","icon":"square-terminal","groups":[{"group":"Health","pages":[{"openapi":"get /health","title":"Health check","href":"/api-reference/health/health-check"}]},{"group":"Agents","pages":[{"openapi":"get /api/v1/agents","title":"List all agents","href":"/api-reference/agents/list-all-agents"},{"openapi":"post /api/v1/agents","title":"Create a new agent","href":"/api-reference/agents/create-a-new-agent"},{"openapi":"get /api/v1/agents/{agentId}/versions","title":"List agent versions","description":"List all versions of an agent with cursor-based pagination","href":"/api-reference/agents/list-agent-versions"},{"openapi":"post /api/v1/agents/{id}/clone","title":"Clone an existing agent","href":"/api-reference/agents/clone-an-existing-agent"},{"openapi":"post /api/v1/agents/{agentId}","title":"Create agent version","description":"Create a new version for an existing agent","href":"/api-reference/agents/create-agent-version"},{"openapi":"patch /api/v1/agents/{agentId}","title":"Update an agent","href":"/api-reference/agents/update-an-agent"},{"openapi":"delete /api/v1/agents/{agentId}","title":"Delete an agent","href":"/api-reference/agents/delete-an-agent"},{"openapi":"patch /api/v1/agents/{agentId}/versions/{versionId}","title":"Update agent version","href":"/api-reference/agents/update-agent-version"},{"openapi":"delete /api/v1/agents/{agentId}/versions/{versionId}","title":"Delete agent version","href":"/api-reference/agents/delete-agent-version"},{"openapi":"patch /api/v1/agents/{agentId}/versions/{versionId}/deploy","title":"Deploy agent version","href":"/api-reference/agents/deploy-agent-version"},{"openapi":"get /api/v1/agents/{agentId}/deployments","title":"List agent deployments","href":"/api-reference/agents/list-agent-deployments"},{"openapi":"patch /api/v1/agents/{agentId}/versions/{versionId}/email-config","title":"Update agent version email configuration","href":"/api-reference/agents/update-agent-version-email-configuration"}]},{"group":"Agent Shares","pages":[{"openapi":"post /api/v1/agent/version/{versionId}/share","title":"Create or get shareable link for an agent version","href":"/api-reference/agent-shares/create-or-get-shareable-link-for-an-agent-version"},{"openapi":"get /api/v1/agent/version/{versionId}/share","title":"Get shareable link for an agent version","href":"/api-reference/agent-shares/get-shareable-link-for-an-agent-version"},{"openapi":"patch /api/v1/agent/version/{versionId}/share","title":"Update the shareable link for an agent version","href":"/api-reference/agent-shares/update-the-shareable-link-for-an-agent-version"},{"openapi":"delete /api/v1/agent/version/{versionId}/share","title":"Delete the shareable link for an agent version","href":"/api-reference/agent-shares/delete-the-shareable-link-for-an-agent-version"},{"openapi":"post /api/v1/share/{token}/dispatch","title":"Dispatch a shared agent (web mode)","href":"/api-reference/agent-shares/dispatch-a-shared-agent-web-mode"}]},{"group":"Workflows","pages":[{"openapi":"post /api/v1/workflow","title":"Create agent workflow","href":"/api-reference/workflows/create-agent-workflow"},{"openapi":"get /api/v1/workflow","title":"List agent workflows","href":"/api-reference/workflows/list-agent-workflows"},{"openapi":"get /api/v1/workflow/{id}","title":"Get agent workflow","href":"/api-reference/workflows/get-agent-workflow"},{"openapi":"patch /api/v1/workflow/{id}","title":"Update agent workflow","href":"/api-reference/workflows/update-agent-workflow"},{"openapi":"delete /api/v1/workflow/{id}","title":"Delete agent workflow","href":"/api-reference/workflows/delete-agent-workflow"},{"openapi":"post /api/v1/workflow/{workflowId}/execution","title":"Create workflow execution","href":"/api-reference/workflows/create-workflow-execution"},{"openapi":"post /api/v1/workflow/{workflowId}/execution/bulk","title":"Bulk create workflow executions","href":"/api-reference/workflows/bulk-create-workflow-executions"},{"openapi":"get /api/v1/workflow/{workflowId}/execution/{executionId}","title":"Get workflow execution","href":"/api-reference/workflows/get-workflow-execution"},{"openapi":"put /api/v1/workflow/{workflowId}/execution/{executionId}","title":"Update workflow execution","href":"/api-reference/workflows/update-workflow-execution"},{"openapi":"delete /api/v1/workflow/{workflowId}/execution/{executionId}","title":"Delete workflow execution","href":"/api-reference/workflows/delete-workflow-execution"},{"openapi":"get /api/v1/workflow/{workflowId}/executions","title":"List workflow executions","href":"/api-reference/workflows/list-workflow-executions"},{"openapi":"get /api/v1/workflow/{workflowId}/executions/by-phone","title":"List workflow executions by phone number","href":"/api-reference/workflows/list-workflow-executions-by-phone-number"},{"openapi":"post /api/v1/workflow/{workflowId}/executions/{executionId}/pause","title":"Pause workflow execution","href":"/api-reference/workflows/pause-workflow-execution"},{"openapi":"post /api/v1/workflow/{workflowId}/executions/{executionId}/resume","title":"Resume workflow execution","href":"/api-reference/workflows/resume-workflow-execution"},{"openapi":"post /api/v1/workflow/{workflowId}/executions/{executionId}/cancel","title":"Cancel workflow execution","href":"/api-reference/workflows/cancel-workflow-execution"},{"openapi":"post /api/v1/workflow/{workflowId}/leads/{customerLeadId}/execution/cancel","title":"Cancel workflow execution by lead ID","href":"/api-reference/workflows/cancel-workflow-execution-by-lead-id"},{"openapi":"post /api/v1/workflow/{workflowId}/executions/cancel","title":"Cancel workflow executions by phone number","href":"/api-reference/workflows/cancel-workflow-executions-by-phone-number"},{"openapi":"post /api/v1/executions/cancel","title":"Cancel all workflow executions by phone number","href":"/api-reference/workflows/cancel-all-workflow-executions-by-phone-number"}]},{"group":"Dispatch","pages":[{"openapi":"post /api/v1/agent/{agentId}/dispatch","title":"Dispatch audio agent","href":"/api-reference/dispatch/dispatch-audio-agent"},{"openapi":"post /api/v1/agent/listen","title":"Listen to audio agent","href":"/api-reference/dispatch/listen-to-audio-agent"},{"openapi":"post /agents/{agentId}/version/{version}/disconnect","title":"Disconnect explicit dispatch","href":"/api-reference/dispatch/disconnect-explicit-dispatch"}]},{"group":"Calls","pages":[{"openapi":"get /api/v1/agent-calls/{id}","title":"Get call record","href":"/api-reference/calls/get-call-record"},{"openapi":"get /api/v1/agent-calls","title":"List all calls","href":"/api-reference/calls/list-all-calls"},{"openapi":"get /api/v1/agent-calls/{id}/recording-url","title":"Get a fresh presigned recording URL","href":"/api-reference/calls/get-a-fresh-presigned-recording-url"}]},{"group":"Phone Numbers","pages":[{"openapi":"post /api/v1/twilio/import","title":"Connect Twilio account","href":"/api-reference/phone-numbers/connect-twilio-account"},{"openapi":"delete /api/v1/phone-number/inbound/{id}/dispatch-rule","title":"Remove inbound dispatch rule","href":"/api-reference/phone-numbers/remove-inbound-dispatch-rule"},{"openapi":"post /api/v1/phone-number/inbound/{id}/dispatch-rule","title":"Create inbound dispatch rule","href":"/api-reference/phone-numbers/create-inbound-dispatch-rule"},{"openapi":"delete /api/v1/phone-number/{id}","title":"Delete phone number","href":"/api-reference/phone-numbers/delete-phone-number"},{"openapi":"put /api/v1/phone-number/outbound/{id}/dispatch-rule","title":"Update outbound dispatch rules with bulk agent IDs","href":"/api-reference/phone-numbers/update-outbound-dispatch-rules-with-bulk-agent-ids"},{"openapi":"get /api/v1/phone-numbers","title":"List organization phone numbers","href":"/api-reference/phone-numbers/list-organization-phone-numbers"},{"openapi":"get /api/v1/phone-number/lookup/{phoneNumber}","title":"Get phone number by E.164 format","href":"/api-reference/phone-numbers/get-phone-number-by-e-164-format"},{"openapi":"get /api/v1/twilio/search","title":"Search available Twilio phone numbers","href":"/api-reference/phone-numbers/search-available-twilio-phone-numbers"},{"openapi":"post /api/v1/twilio/purchase","title":"Purchase a Twilio phone number","href":"/api-reference/phone-numbers/purchase-a-twilio-phone-number"},{"openapi":"post /api/v1/phone-number/sms/{id}/link-agent","title":"Link SMS agent to phone number","href":"/api-reference/phone-numbers/link-sms-agent-to-phone-number"},{"openapi":"post /api/v1/phone-number/sms/{id}/unlink-agent","title":"Unlink SMS agent from phone number","href":"/api-reference/phone-numbers/unlink-sms-agent-from-phone-number"}]},{"group":"Bridging Numbers","pages":[{"openapi":"post /api/v1/twilio/bridging-number","title":"Import bridging number from Twilio account","href":"/api-reference/bridging-numbers/import-bridging-number-from-twilio-account"},{"openapi":"get /api/v1/twilio/bridging-number","title":"List organization bridging numbers","href":"/api-reference/bridging-numbers/list-organization-bridging-numbers"},{"openapi":"delete /api/v1/twilio/bridging-number/{id}","title":"Delete bridging number","href":"/api-reference/bridging-numbers/delete-bridging-number"}]},{"group":"Chat Threads","pages":[{"openapi":"post /api/v1/threads","title":"Create a new SMS thread","href":"/api-reference/threads/create-a-new-sms-thread"},{"openapi":"get /api/v1/threads","title":"List threads","href":"/api-reference/threads/list-sms-threads"},{"openapi":"post /api/v1/threads/web","title":"Create a new web chat thread","href":"/api-reference/threads/create-a-new-web-chat-thread"},{"openapi":"get /api/v1/threads/{threadId}","title":"Get a thread by ID","href":"/api-reference/threads/get-an-sms-thread-by-id"},{"openapi":"patch /api/v1/threads/{threadId}","title":"Update thread metadata","href":"/api-reference/threads/update-thread-metadata"},{"openapi":"patch /api/v1/threads/{threadId}/close","title":"Close a thread","href":"/api-reference/threads/close-an-sms-thread"},{"openapi":"get /api/v1/threads/{threadId}/messages","title":"Get messages for a thread","href":"/api-reference/threads/get-messages-for-an-sms-thread"},{"openapi":"post /api/v1/threads/{threadId}/messages","title":"Send a message to a web chat thread","href":"/api-reference/threads/send-a-message-to-a-web-chat-thread"},{"openapi":"get /api/v1/threads/{threadId}/stream","title":"Stream new web chat thread messages","href":"/api-reference/threads/stream-new-web-chat-thread-messages"}]},{"group":"Embedded WebChat","pages":[{"openapi":"post /api/v1/chat/threads","title":"Create a new web chat thread","href":"/api-reference/chat/create-a-new-web-chat-thread"},{"openapi":"get /api/v1/chat/threads/{threadId}","title":"Get web chat thread session details","href":"/api-reference/chat/get-web-chat-thread-session-details"},{"openapi":"patch /api/v1/chat/threads/{threadId}","title":"Update web chat thread session metadata","href":"/api-reference/chat/update-web-chat-thread-session-metadata"},{"openapi":"get /api/v1/chat/threads/{threadId}/messages","title":"Get messages for a web chat thread","href":"/api-reference/chat/get-messages-for-a-web-chat-thread"}]},{"group":"Knowledge Base","pages":[{"openapi":"get /api/v1/knowledge-base/collections","title":"Get knowledge base collections","href":"/api-reference/knowledge-base/get-knowledge-base-collections"},{"openapi":"get /api/v1/knowledge-base/files","title":"Get knowledge base files","href":"/api-reference/knowledge-base/get-knowledge-base-files"},{"openapi":"post /api/v1/knowledge-base/collection/{collectionId}/file/{fileId}","title":"Add file to collection","href":"/api-reference/knowledge-base/add-file-to-collection"},{"openapi":"post /api/v1/knowledge-base/collection/{collectionId}/files/bulk-add","title":"Bulk add files to collection","href":"/api-reference/knowledge-base/bulk-add-files-to-collection"},{"openapi":"post /api/v1/knowledge-base/files/bulk-delete","title":"Bulk delete knowledge base files","href":"/api-reference/knowledge-base/bulk-delete-knowledge-base-files"},{"openapi":"post /api/v1/knowledge-base/collection/{collectionId}/files/bulk-remove","title":"Bulk remove files from collection","href":"/api-reference/knowledge-base/bulk-remove-files-from-collection"},{"openapi":"delete /api/v1/knowledge-base/collection/{id}","title":"Delete knowledge base collection","href":"/api-reference/knowledge-base/delete-knowledge-base-collection"},{"openapi":"post /api/v1/knowledge-base/collection","title":"Create knowledge base collection","href":"/api-reference/knowledge-base/create-knowledge-base-collection"},{"openapi":"post /api/v1/knowledge-base/file","title":"Create knowledge base file","href":"/api-reference/knowledge-base/create-knowledge-base-file"},{"openapi":"delete /api/v1/knowledge-base/file/{id}","title":"Delete knowledge base file","href":"/api-reference/knowledge-base/delete-knowledge-base-file"},{"openapi":"post /generate-presigned-url","title":"Generate presigned URL for uploading a file","href":"/api-reference/knowledge-base/generate-presigned-url-for-uploading-a-file"},{"openapi":"delete /api/v1/knowledge-base/collection/{collectionId}/file/{fileId}/remove","title":"Remove file from collection","href":"/api-reference/knowledge-base/remove-file-from-collection"},{"openapi":"patch /api/v1/knowledge-base/file/{fileId}/status","title":"Update file status","href":"/api-reference/knowledge-base/update-file-status"},{"openapi":"post /api/v1/knowledge-base/file/{fileId}/view","title":"View knowledge base file","href":"/api-reference/knowledge-base/view-knowledge-base-file"}]},{"group":"Tools","pages":[{"openapi":"get /api/v1/tools","title":"List custom tools","href":"/api-reference/tools/list-custom-tools"},{"openapi":"post /api/v1/tools","title":"Create new tool","href":"/api-reference/tools/create-new-tool"},{"openapi":"get /api/v1/tools/{toolId}","title":"Get tool details","href":"/api-reference/tools/get-tool-details"},{"openapi":"delete /api/v1/tools/{toolId}","title":"Delete tool","href":"/api-reference/tools/delete-tool"},{"openapi":"patch /api/v1/tools/{toolId}","title":"Update tool","href":"/api-reference/tools/update-tool"},{"openapi":"get /api/v1/pre-built-tools","title":"List pre-built tools","href":"/api-reference/tools/list-pre-built-tools"}]},{"group":"Integrations","pages":[{"openapi":"get /api/v1/integrations","title":"List all available integrations","href":"/api-reference/integrations/list-all-available-integrations"},{"openapi":"get /api/v1/integrations/instances","title":"List integration instances for organization","href":"/api-reference/integrations/list-integration-instances-for-organization"},{"openapi":"post /api/v1/integrations/create","title":"Create an integration instance","href":"/api-reference/integrations/create-an-integration-instance"},{"openapi":"patch /api/v1/integrations/{integrationInstanceId}","title":"Update an integration instance","href":"/api-reference/integrations/update-an-integration-instance"},{"openapi":"delete /api/v1/integrations/{integrationInstanceId}","title":"Delete an integration instance","href":"/api-reference/integrations/delete-an-integration-instance"}]},{"group":"Squad","pages":[{"openapi":"get /api/v1/squads","title":"List all squads for an organization","href":"/api-reference/squad/list-all-squads-for-an-organization"},{"openapi":"post /api/v1/squads","title":"Create a new squad","href":"/api-reference/squad/create-a-new-squad"},{"openapi":"get /api/v1/squads/{squadId}","title":"Get squad details","href":"/api-reference/squad/get-squad-details"},{"openapi":"patch /api/v1/squads/{squadId}","title":"Update squad","href":"/api-reference/squad/update-squad"},{"openapi":"delete /api/v1/squads/{squadId}","title":"Delete squad","href":"/api-reference/squad/delete-squad"},{"openapi":"post /api/v1/squads/{squadId}/dispatch","title":"Dispatch squad","href":"/api-reference/squad/dispatch-squad"},{"openapi":"get /api/v1/squads/{squadId}/transfer-rules","title":"List transfer rules","href":"/api-reference/squad/list-transfer-rules"},{"openapi":"post /api/v1/squads/{squadId}/transfer-rules","title":"Create transfer rule","href":"/api-reference/squad/create-transfer-rule"},{"openapi":"patch /api/v1/squads/{squadId}/transfer-rules/{ruleId}","title":"Update transfer rule","href":"/api-reference/squad/update-transfer-rule"},{"openapi":"delete /api/v1/squads/{squadId}/transfer-rules/{ruleId}","title":"Delete transfer rule","href":"/api-reference/squad/delete-transfer-rule"}]},{"group":"Calendars","pages":[{"openapi":"post /api/v1/calendars","title":"Create a calendar","href":"/api-reference/calendars/create-a-calendar"},{"openapi":"get /api/v1/calendars","title":"List calendars","href":"/api-reference/calendars/list-calendars"},{"openapi":"get /api/v1/calendars/{calendarId}","title":"Get a calendar","href":"/api-reference/calendars/get-a-calendar"},{"openapi":"patch /api/v1/calendars/{calendarId}","title":"Update a calendar","href":"/api-reference/calendars/update-a-calendar"},{"openapi":"delete /api/v1/calendars/{calendarId}","title":"Delete a calendar","href":"/api-reference/calendars/delete-a-calendar"}]},{"group":"Calendar Schedules","pages":[{"openapi":"post /api/v1/calendars/{calendarId}/schedules","title":"Create a schedule","href":"/api-reference/calendar-schedules/create-a-schedule"},{"openapi":"get /api/v1/calendars/{calendarId}/schedules","title":"List schedules","href":"/api-reference/calendar-schedules/list-schedules"},{"openapi":"get /api/v1/calendars/{calendarId}/schedules/{scheduleId}","title":"Get a schedule","href":"/api-reference/calendar-schedules/get-a-schedule"},{"openapi":"patch /api/v1/calendars/{calendarId}/schedules/{scheduleId}","title":"Update a schedule","href":"/api-reference/calendar-schedules/update-a-schedule"},{"openapi":"delete /api/v1/calendars/{calendarId}/schedules/{scheduleId}","title":"Delete a schedule","href":"/api-reference/calendar-schedules/delete-a-schedule"}]},{"group":"Calendar Event Types","pages":[{"openapi":"post /api/v1/calendars/{calendarId}/event-types","title":"Create an event type","href":"/api-reference/calendar-event-types/create-an-event-type"},{"openapi":"get /api/v1/calendars/{calendarId}/event-types","title":"List event types","href":"/api-reference/calendar-event-types/list-event-types"},{"openapi":"get /api/v1/calendars/{calendarId}/event-types/{eventTypeId}","title":"Get an event type","href":"/api-reference/calendar-event-types/get-an-event-type"},{"openapi":"patch /api/v1/calendars/{calendarId}/event-types/{eventTypeId}","title":"Update an event type","href":"/api-reference/calendar-event-types/update-an-event-type"},{"openapi":"delete /api/v1/calendars/{calendarId}/event-types/{eventTypeId}","title":"Delete an event type","href":"/api-reference/calendar-event-types/delete-an-event-type"},{"openapi":"get /api/v1/calendars/{calendarId}/event-types/{eventTypeId}/slots","title":"Get available slots","href":"/api-reference/calendar-event-types/get-available-slots"}]},{"group":"Calendar Bookings","pages":[{"openapi":"post /api/v1/calendar-bookings","title":"Create a booking","href":"/api-reference/calendar-bookings/create-a-booking"},{"openapi":"get /api/v1/calendar-bookings","title":"List bookings","href":"/api-reference/calendar-bookings/list-bookings"},{"openapi":"get /api/v1/calendar-bookings/{bookingId}","title":"Get a booking","href":"/api-reference/calendar-bookings/get-a-booking"},{"openapi":"post /api/v1/calendar-bookings/{bookingId}/cancel","title":"Cancel a booking","href":"/api-reference/calendar-bookings/cancel-a-booking"},{"openapi":"post /api/v1/calendar-bookings/{bookingId}/reschedule","title":"Reschedule a booking","href":"/api-reference/calendar-bookings/reschedule-a-booking"}]},{"group":"Calendar Connections","pages":[{"openapi":"get /api/v1/calendars/{calendarId}/connections/oauth-url","title":"Get OAuth URL for external calendar","href":"/api-reference/calendar-connections/get-oauth-url-for-external-calendar"},{"openapi":"get /api/v1/calendar-connections/oauth/callback","title":"OAuth callback for external calendar","href":"/api-reference/calendar-connections/oauth-callback-for-external-calendar"},{"openapi":"get /api/v1/calendars/{calendarId}/connections","title":"List calendar connections","href":"/api-reference/calendar-connections/list-calendar-connections"},{"openapi":"delete /api/v1/calendars/{calendarId}/connections/{connectionId}","title":"Delete a calendar connection","href":"/api-reference/calendar-connections/delete-a-calendar-connection"},{"openapi":"patch /api/v1/calendars/{calendarId}/connections/{connectionId}","title":"Update a calendar connection","href":"/api-reference/calendar-connections/update-a-calendar-connection"},{"openapi":"get /api/v1/calendars/{calendarId}/connections/{connectionId}/external-calendars","title":"List external calendars from a connected account","href":"/api-reference/calendar-connections/list-external-calendars-from-a-connected-account"}]},{"group":"Email","pages":[{"openapi":"post /api/v1/email/threads","title":"Create an email thread","href":"/api-reference/email/create-an-email-thread"},{"openapi":"get /api/v1/email/threads","title":"List email threads","href":"/api-reference/email/list-email-threads"},{"openapi":"get /api/v1/email/threads/{threadId}/messages","title":"Get messages for an email thread","href":"/api-reference/email/get-messages-for-an-email-thread"},{"openapi":"get /api/v1/email/drafts","title":"List email drafts","href":"/api-reference/email/list-email-drafts"},{"openapi":"post /api/v1/email/drafts/{messageId}/approve","title":"Approve an email draft","href":"/api-reference/email/approve-an-email-draft"},{"openapi":"patch /api/v1/email/drafts/{messageId}","title":"Edit an email draft","href":"/api-reference/email/edit-an-email-draft"},{"openapi":"delete /api/v1/email/drafts/{messageId}","title":"Discard an email draft","href":"/api-reference/email/discard-an-email-draft"}]},{"group":"Email Domains","pages":[{"openapi":"post /api/v1/email-domains","title":"Create an email domain","href":"/api-reference/email-domains/create-an-email-domain"},{"openapi":"get /api/v1/email-domains","title":"List email domains","href":"/api-reference/email-domains/list-email-domains"},{"openapi":"post /api/v1/email-domains/gmail","title":"Create a Gmail-backed email domain","href":"/api-reference/email-domains/create-a-gmail-backed-email-domain"},{"openapi":"post /api/v1/email-domains/sendgrid","title":"Create SendGrid email integration","href":"/api-reference/email-domains/create-sendgrid-email-integration"},{"openapi":"get /api/v1/email-domains/{domainId}","title":"Get an email domain","href":"/api-reference/email-domains/get-an-email-domain"},{"openapi":"delete /api/v1/email-domains/{domainId}","title":"Delete an email domain","href":"/api-reference/email-domains/delete-an-email-domain"},{"openapi":"post /api/v1/email-domains/{domainId}/verify","title":"Verify an email domain","href":"/api-reference/email-domains/verify-an-email-domain"}]},{"group":"Email Threads","pages":[{"openapi":"patch /api/v1/email/threads/{threadId}/terminate","title":"Terminate an email thread","href":"/api-reference/email-threads/terminate-an-email-thread"}]},{"group":"Gmail Connections","pages":[{"openapi":"get /api/v1/gmail/connections/oauth-url","title":"Get OAuth URL for Gmail connection","href":"/api-reference/gmail-connections/get-oauth-url-for-gmail-connection"},{"openapi":"get /api/v1/gmail/oauth/callback","title":"OAuth callback for Gmail connection","href":"/api-reference/gmail-connections/oauth-callback-for-gmail-connection"},{"openapi":"get /api/v1/gmail/connections","title":"List Gmail connections for organization","href":"/api-reference/gmail-connections/list-gmail-connections-for-organization"},{"openapi":"delete /api/v1/gmail/connections/{connectionId}","title":"Delete a Gmail connection","href":"/api-reference/gmail-connections/delete-a-gmail-connection"}]},{"group":"Slack Alerts","pages":[{"openapi":"get /api/v1/organization/slack/connect-url","title":"Get Slack OAuth connect URL","href":"/api-reference/slack-alerts/get-slack-oauth-connect-url"},{"openapi":"get /api/v1/integrations/slack/callback","title":"Slack OAuth callback","href":"/api-reference/slack-alerts/slack-oauth-callback"},{"openapi":"get /api/v1/organization/slack","title":"Get Slack alerts connection status","href":"/api-reference/slack-alerts/get-slack-alerts-connection-status"},{"openapi":"delete /api/v1/organization/slack","title":"Disconnect Slack alerts integration","href":"/api-reference/slack-alerts/disconnect-slack-alerts-integration"},{"openapi":"get /api/v1/organization/slack/channels","title":"List available Slack channels for alerting","href":"/api-reference/slack-alerts/list-available-slack-channels-for-alerting"},{"openapi":"patch /api/v1/organization/slack/channel","title":"Set default Slack channel for tool failure alerts","href":"/api-reference/slack-alerts/set-default-slack-channel-for-tool-failure-alerts"}]},{"group":"Reports","pages":[{"openapi":"post /api/v1/reports","title":"Create a new report generation job","href":"/api-reference/reports/create-a-new-report-generation-job"},{"openapi":"get /api/v1/reports","title":"List generated reports","href":"/api-reference/reports/list-generated-reports"},{"openapi":"get /api/v1/reports/{reportId}/download","title":"Get download URL for a report","href":"/api-reference/reports/get-download-url-for-a-report"}]},{"group":"DNC","pages":[{"openapi":"post /api/v1/dnc","title":"Add phone number to DNC list","href":"/api-reference/dnc/add-phone-number-to-dnc-list"},{"openapi":"get /api/v1/dnc","title":"List DNC entries","href":"/api-reference/dnc/list-dnc-entries"},{"openapi":"get /api/v1/dnc/{id}","title":"Get DNC entry by ID","href":"/api-reference/dnc/get-dnc-entry-by-id"},{"openapi":"delete /api/v1/dnc/{id}","title":"Delete DNC entry by ID","href":"/api-reference/dnc/delete-dnc-entry-by-id"},{"openapi":"get /api/v1/dnc/phone/{phoneNumber}","title":"Get DNC entry by phone number","href":"/api-reference/dnc/get-dnc-entry-by-phone-number"},{"openapi":"delete /api/v1/dnc/phone/{phoneNumber}","title":"Delete DNC entry by phone number","href":"/api-reference/dnc/delete-dnc-entry-by-phone-number"},{"openapi":"get /api/v1/dnc/check/{phoneNumber}","title":"Check if phone number is on DNC list","href":"/api-reference/dnc/check-if-phone-number-is-on-dnc-list"}]},{"group":"Testing Lab","pages":[{"openapi":"get /api/v1/testing-lab/scenarios","title":"Get testing lab scenarios","href":"/api-reference/testing-lab/get-testing-lab-scenarios"},{"openapi":"post /api/v1/testing-lab/scenarios/generate","title":"Generate testing lab scenarios","href":"/api-reference/testing-lab/generate-testing-lab-scenarios"},{"openapi":"get /api/v1/testing-lab/scenarios/{id}","title":"Get testing lab scenario by ID","href":"/api-reference/testing-lab/get-testing-lab-scenario-by-id"},{"openapi":"delete /api/v1/testing-lab/scenarios/{id}","title":"Delete testing lab scenario by ID","href":"/api-reference/testing-lab/delete-testing-lab-scenario-by-id"},{"openapi":"patch /api/v1/testing-lab/scenarios/{id}","title":"Update testing lab scenario by ID","href":"/api-reference/testing-lab/update-testing-lab-scenario-by-id"},{"openapi":"post /api/v1/testing-lab/scenarios/run","title":"Run testing lab scenarios","href":"/api-reference/testing-lab/run-testing-lab-scenarios"},{"openapi":"get /api/v1/testing-lab/calls","title":"Get observed call logs for an agent","href":"/api-reference/testing-lab/get-observed-call-logs-for-an-agent"},{"openapi":"get /api/v1/testing-lab/calls/{agentCallId}","title":"Get detail for a single observed call including per-metric scores","href":"/api-reference/testing-lab/get-detail-for-a-single-observed-call-including-per-metric-scores"},{"openapi":"get /api/v1/testing-lab/analytics","title":"Get aggregated metric scores over time for an agent","href":"/api-reference/testing-lab/get-aggregated-metric-scores-over-time-for-an-agent"},{"openapi":"get /api/v1/testing-lab/results","title":"List aggregated testing-lab results (Cekura test_framework/v1/results)","href":"/api-reference/testing-lab/list-aggregated-testing-lab-results-cekura-test-framework-v1-results"},{"openapi":"get /api/v1/testing-lab/results/{resultId}","title":"Get one aggregated testing-lab result with nested runs","href":"/api-reference/testing-lab/get-one-aggregated-testing-lab-result-with-nested-runs"},{"openapi":"get /api/v1/testing-lab/test-profiles","title":"List Cekura test profiles for an agent","href":"/api-reference/testing-lab/list-cekura-test-profiles-for-an-agent"},{"openapi":"post /api/v1/testing-lab/test-profiles","title":"Create a Cekura test profile","href":"/api-reference/testing-lab/create-a-cekura-test-profile"},{"openapi":"patch /api/v1/testing-lab/test-profiles/{id}","title":"Update a Cekura test profile","href":"/api-reference/testing-lab/update-a-cekura-test-profile"},{"openapi":"delete /api/v1/testing-lab/test-profiles/{id}","title":"Delete a Cekura test profile","href":"/api-reference/testing-lab/delete-a-cekura-test-profile"},{"openapi":"get /api/v1/testing-lab/mock-tools","title":"List Cekura mock tools for an agent","href":"/api-reference/testing-lab/list-cekura-mock-tools-for-an-agent"},{"openapi":"post /api/v1/testing-lab/mock-tools","title":"Create a Cekura mock tool","href":"/api-reference/testing-lab/create-a-cekura-mock-tool"},{"openapi":"patch /api/v1/testing-lab/mock-tools/by-name/{toolName}","title":"Update a Cekura mock tool","href":"/api-reference/testing-lab/update-a-cekura-mock-tool"},{"openapi":"delete /api/v1/testing-lab/mock-tools/by-name/{toolName}","title":"Delete a Cekura mock tool","href":"/api-reference/testing-lab/delete-a-cekura-mock-tool"}]},{"group":"Agent Test","pages":[{"openapi":"post /api/v1/agent-test/sessions/start","title":"Start chat test session","href":"/api-reference/agent-test/start-chat-test-session"}]},{"group":"Organization","pages":[{"openapi":"get /api/v1/organization","title":"Get current organization","href":"/api-reference/organization/get-current-organization"},{"openapi":"patch /api/v1/organization","title":"Update organization settings","href":"/api-reference/organization/update-organization-settings"}]},{"group":"Configuration","pages":[{"openapi":"get /api/v1/stt-configs","title":"Get STT configs","href":"/api-reference/configuration/get-stt-configs"},{"openapi":"get /api/v1/tts-configs","title":"Get TTS configs","href":"/api-reference/configuration/get-tts-configs"},{"openapi":"get /api/v1/llm-configs","title":"Get LLM configs","href":"/api-reference/configuration/get-llm-configs"},{"openapi":"get /api/v1/available-voices","title":"Get available voices","href":"/api-reference/configuration/get-available-voices"},{"openapi":"post /api/v1/admin/elevenlabs-voices","title":"Add an ElevenLabs voice to collection and database","href":"/api-reference/configuration/add-an-elevenlabs-voice-to-collection-and-database"},{"openapi":"get /api/v1/languages","title":"Get supported languages","href":"/api-reference/configuration/get-supported-languages"}]},{"group":"Prompts","pages":[{"openapi":"get /api/v1/prompts/personalities","title":"List all prompt personalities","href":"/api-reference/prompts/list-all-prompt-personalities"}]}]}]},"title":"Clone an existing agent - Feather","buildId":"dpl_HcHmUS6i3UwswnTHJUEdcTtwfdTQ","deploymentId":"dpl_HcHmUS6i3UwswnTHJUEdcTtwfdTQ","dynamics":["c2aa737661","2b790eda92","b0f84f53ff","a9bb46feb3"],"chunks":["OpenApiReferenceProvider-BRm_l__d.js","utils-f1l1Oc-G.js","cloneDeep-izs3Hzxb.js","_Uint8Array-BVIqJ90l.js","isObjectLike-C8vmzPEN.js","isArray-Dcu1dQ5t.js","utils-BlhqDhJO.js","toString-BX-iyh8G.js","isSymbol-CSH9U2Gm.js","addUniqueKeysToSchema-DHCB7rsC.js","snippetPresets-CYXLx6Hv.js","style-to-object-BY3JEAdk.js","v4-DIgz8zy6.js","ApiExamples-B78P2dEq.js","isEqual-BfaiBbcl.js","usePlaygroundInputsStore-C4YLPVAh.js","shallow-vlLnTDkQ.js","getApiPlaygroundDisplay-D_98hhvf.js","CodeSnippet-DtnZHGqq.js","CodeSnippets-CLFb8KJt.js","Page-kQh739Uz.js","getPastedJson-Cq-zlbnU.js","icon-sN3t983t.js","MethodPill-P_YQ2s09.js","DuplicateIcon-BVzyNsGJ.js","createIcon-B3jqgqC6.js","DynamicMarkdown-Crwq6WG_.js","SectionHeading-C7pGS2Bb.js","axios-vUo_bRtp.js","Markdown-BuPH8yuW.js","clsx-CCOYKgaU.js","lib--scc4DXi.js","lib-B8HbPgcC.js","html-void-elements-mCSPHezU.js","dist-BnkC_6oA.js","katex-YMM-FMeD.js","marked.esm-CZWythHk.js","AssistantPageLink-BM4S31-f.js"]}